package hiedabke_alisls

type AliSLSConfig struct {
	DebugMode       bool
	AccessKeyID     string
	AccessKeySecret string
	Endpoint        string
	Project         string
	Logstore        string
	Topic           string
	Hostname        string
	AppName         string
	SourceIP        string
}

type AliSLSConfigExtend struct {
	TotalSizeLnBytes      int64
	MaxIoWorkerCount      int64
	MaxBlockSec           int
	MaxBatchSize          int64
	MaxBatchCount         int
	LingerMs              int64
	Retries               int
	MaxReservedAttempts   int
	BaseRetryBackoffMs    int64
	MaxRetryBackoffMs     int64
	AdjustShargHash       bool
	Buckets               int
	AllowLogLevel         string
	LogFileName           string
	IsJsonType            bool
	LogMaxSize            int
	LogMaxBackups         int
	LogCompress           bool
	NoRetryStatusCodeList []int
}
