package main

import (
	"git.swzry.com/zry/GoHiedaLogger/hiedabke_writer"
	"git.swzry.com/zry/GoHiedaLogger/hiedalog"
	"os"
	"strconv"
)

func main() {
	lbw := hiedabke_writer.NewHiedaBackendWriter(os.Stdout)
	logger := hiedalog.NewHiedaLogger()
	logger.AddBackend(lbw, logger.LevelFilter.NameToID("VERBOSE"))
	logger.AddBackend(lbw, logger.LevelFilter.NameToID("WARN"))
	logger.LogPrint("app", hiedalog.DLN_INFO, "hello", "world")
	for _, v := range logger.LevelFilter.GetLevelList() {
		logger.LogPrintf("logtest", v.Name, "LogLevelFilerTest: name=%s, lvid=%d", v.Name, v.LevelNumber)
		logger.LogComplex("cltest", v.Name, map[string]string{
			"name":  v.Name,
			"id":    strconv.Itoa(int(v.LevelNumber)),
			"extra": "hello",
		})
	}

}
